osgTerrain::ValidRange Struct Reference

`#include <ValidDataOperator>`

Inheritance diagram for osgTerrain::ValidRange:

## Public Member Functions

| ValidRange (float minValue, float maxValue)
void | setRange (float minValue, float maxValue)
void | setMinValue (float minValue)
float | getMinValue () const
void | setMaxValue (float maxValue)
float | getMaxValue () const
virtual bool | operator() (float value) const
Public Member Functions inherited from osgTerrain::ValidDataOperator
virtual bool | operator() (const osg::Vec2 &value) const
virtual bool | operator() (const osg::Vec3 &value) const
virtual bool | operator() (const osg::Vec4 &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

float | _minValue
float | _maxValue

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## ValidRange()

osgTerrain::ValidRange::ValidRange | ( | float | minValue,
|  | float | maxValue )

inline

References _maxValue, and _minValue.

## Member Function Documentation

## getMaxValue()

float osgTerrain::ValidRange::getMaxValue | ( |  | ) | const

inline

References _maxValue.

## getMinValue()

float osgTerrain::ValidRange::getMinValue | ( |  | ) | const

inline

References _minValue.

## operator()()

virtual bool osgTerrain::ValidRange::operator() | ( | float | value | ) | const

inline virtual

Reimplemented from osgTerrain::ValidDataOperator.

References _maxValue, and _minValue.

## setMaxValue()

void osgTerrain::ValidRange::setMaxValue | ( | float | maxValue | ) |

inline

References _maxValue.

## setMinValue()

void osgTerrain::ValidRange::setMinValue | ( | float | minValue | ) |

inline

References _minValue.

## setRange()

void osgTerrain::ValidRange::setRange | ( | float | minValue,
|  | float | maxValue )

inline

References _maxValue, and _minValue.

## Member Data Documentation

## _maxValue

float osgTerrain::ValidRange::_maxValue

Referenced by getMaxValue(), operator()(), setMaxValue(), setRange(), and ValidRange().

## _minValue

float osgTerrain::ValidRange::_minValue

Referenced by getMinValue(), operator()(), setMinValue(), setRange(), and ValidRange().

The documentation for this struct was generated from the following file:

- ValidDataOperator